using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IStudentStorage
    {
        List<StudentViewModel> GetFullList();
        List<StudentViewModel> GetFilteredList(StudentSearchModel model);
        StudentViewModel? GetElement(StudentSearchModel model);
        StudentViewModel? Insert(StudentBindingModel model);
        StudentViewModel? Update(StudentBindingModel model);
        StudentViewModel? Delete(StudentBindingModel model);
    }
}
